/*============================================================================
PutThingsBackForDemo.sql
Written by Taiob M Ali
SqlWorldWide.com

This script will restore WideWorldImporters database to set things back as is for demo.

Instruction to run this script
--------------------------------------------------------------------------
Download WideWorldImporters backup from
https://github.com/Microsoft/sql-server-samples/releases/tag/wide-world-importers-v1.0

Change:
1. Backup location
2. Data file location
3. Log file location
============================================================================*/

USE [master] 
GO

IF db_id('WideWorldImporters') IS NOT NULL
BEGIN 
   ALTER DATABASE [WideWorldImporters] SET RESTRICTED_USER WITH ROLLBACK IMMEDIATE
END

RESTORE DATABASE [WideWorldImporters] 
FROM DISK = 
	N'C:\WideWorldImporters-Full.bak' WITH FILE = 1, 
	MOVE N'WWI_Primary' TO 	N'C:\Program Files\Microsoft SQL Server\MSSQL13.MSSQLSERVER\MSSQL\DATA\WideWorldImporters.mdf', 
	MOVE N'WWI_UserData' TO N'C:\Program Files\Microsoft SQL Server\MSSQL13.MSSQLSERVER\MSSQL\DATA\WideWorldImporters_UserData.ndf',
	MOVE N'WWI_Log' TO N'C:\Program Files\Microsoft SQL Server\MSSQL13.MSSQLSERVER\MSSQL\DATA\WideWorldImporters.ldf', 
	MOVE N'WWI_InMemory_Data_1' TO N'C:\Program Files\Microsoft SQL Server\MSSQL13.MSSQLSERVER\MSSQL\DATA\WideWorldImporters_InMemory_Data_1', 
	NOUNLOAD, replace, stats = 5 ;

GO 

--updating statistics since we are using an old backup
USE [WideWorldImporters]
GO
UPDATE STATISTICS Sales.Orders;
GO